package abacus.springboot.example.api.view;

import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "图片对象" , name = "ApiReqJcBillPhoto")
public class ApiReqJcBillPhoto {

	@Schema(description = "回购单号、溯源入库单号", pattern="type=1时，为溯源入库单号，type=2时，为回购单号",required = true, example = "HG202411180001")
	private String id;
	
	@Schema(description = "图片明细", required = true, example = "")
	private List<ApiReqJcBillPhotoItem> items;

	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public List<ApiReqJcBillPhotoItem> getItems() {
		return items;
	}

	public void setItems(List<ApiReqJcBillPhotoItem> items) {
		this.items = items;
	}
}
